### Property

# Adw BottomSheet:can-close

since: 1.6

#### Declaration

    property can-close: gboolean [ read, write ]

#### Description [src]

Whether the bottom sheet can be closed by user.

It can be closed via the close button, swiping down, pressing `Escape` or clicking the content dimming (when modal).

Bottom sheet can still be closed using `AdwBottomSheet:open`.

Type:`gboolean`

Available since: 1.6

Default value | TRUE
Getter method | `adw_bottom_sheet_get_can_close()`
Setter method | `adw_bottom_sheet_set_can_close()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no